# Generate HASH

**GenerateHash** uses a specified hashing algorithm to generate a hash in the format of a hexadecimal number or list of bytes.

***

## Properties

### Data

The input data for which the hash will be calculated. Input data could be a string or list of bytes.

### Hash algorithm

The algorithm to use when computing the hash.

Options:

* MD5 - [learn more](https://learn.microsoft.com/en-us/dotnet/api/system.security.cryptography.md5?view=net-7.0)
* SHA1 - [learn more](https://learn.microsoft.com/en-us/dotnet/api/system.security.cryptography.sha1?view=net-7.0)
* SHA256 - [learn more](https://learn.microsoft.com/en-us/dotnet/api/system.security.cryptography.sha256?view=net-7.0)
* SHA384 - [learn more](https://learn.microsoft.com/en-us/dotnet/api/system.security.cryptography.sha384?view=net-7.0)
* SHA512 - [learn more](https://learn.microsoft.com/en-us/dotnet/api/system.security.cryptography.sha512?view=net-7.0)

### Hash type

The type of output for the hashed data.

Options:

* Hex string
* List of bytes

***

## Definition

A string-formatted hexadecimal number or list of bytes that contains the computed hash.

***

## Links

* [Cryptographic hash function](https://en.wikipedia.org/wiki/Cryptographic_hash_function)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/overview/content/generatehash.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
